Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.manager
Interface IPortalDefinitionManager

All Known Subinterfaces:
  PortalDefinitionManager

    public interface IPortalDefinitionManager

Defines methods to manage `PortalDefinition` objects. Multiple desktops can be associated with a single portal. "Definitions" can be thought of as objects in the library. Objects in the library are not associated to any one Desktop. In other words definitions can be placed on zero or more desktops and changes made in the library (to the definitions) are cascaded down to object on the desktops. If you are only interested in affecting a single desktop then use the `PortalCustomizationManager` and make changes to the "Instances".

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`PortalDefinition` | `createPortalDefinition(CustomizationContext customizationContext, PortalDefinition pd)` Creates a persistent version of a `PortalDefinition` from the provided `PortalDefinition`.
`int` | `deletePortalDefinition(CustomizationContext customizationContext, PortalPath portalPath, String webapp)` Deletes a PortalDefinition.
`DefinitionCount` | `getDefinitionCount(CustomizationContext customizationContext, boolean _public)` Return a count of all the portal definitions in the system.
`DefinitionCount` | `getDefinitionCount(CustomizationContext customizationContext, String webapp, boolean _public)` Return a count of all the definitions scoped to a webapp.
`int` | `getDesktopDefinitionCount(CustomizationContext customizationContext, PortalPath portalPath, String webapp)` Returns the number of `DesktopDefinition`s under `portal` `portalPath`.
`PortalPath[]` | `getDesktopDefinitionPortals(CustomizationContext customizationContext, DesktopPath desktopPath, String webapp)` Returns all the `PortalPath`s that a `DesktopDefinition` is a part of.
`DesktopDefinition[]` | `getDesktopDefinitions(CustomizationContext customizationContext, PortalPath portalPath, int begin, int end, String webapp)` Returns `DesktopDefinition`s in the `begin` and `end` range under the portal `portalPath`.
`DesktopView[]` | `getDesktopViews(CustomizationContext customizationContext, PortalPath portalPath, int begin, int end, String webapp)` Returns `DesktopView`s in the `begin` and `end` range under the portal `portalPath`.
`PortalDefinition` | `getPortalDefinition(CustomizationContext customizationContext, PortalPath portalPath, String webapp)` Returns a `PortalDefinition` corresponding to a `PortalPath`.
`int` | `getPortalDefinitionCount(CustomizationContext customizationContext, String webapp)` Returns the number of portals for a given webapp.
`PortalDefinition[]` | `getPortalDefinitions(CustomizationContext customizationContext, PortalPath[] portalPaths, String webapp)` Returns an array of `PortalDefinition`s corresponding to an array of `PortalPath`s.
`SortableFilterablePagedResult<PortalDefinition>` | `getPortalDefinitions(CustomizationContext customizationContext, PortalSearchCriteria criteria, int pageSize)` Retrieve all the portals for a webapp as a paged object.
`PortalView` | `getPortalDefinitionView(CustomizationContext customizationContext, PortalPath portalPath, String webapp)` Returns a `PortalView` corresponding to a `PortalPath`.
`PortalView[]` | `getPortalDefinitionViews(CustomizationContext customizationContext, PortalPath[] portalPaths, String webapp)` Returns an array of `PortalView`s corresponding to an array of `PortalPath`s.
`PortalPath[]` | `getPortalPaths(CustomizationContext customizationContext, int begin, int end, String webapp)` Returns an array of `PortalPath`s in the `begin` and `end` range.
`String[]` | `getPortalWebApps(CustomizationContext customizationContext)` Return a set of portal webapps that have at least one shell defined.
`SortableFilterablePagedResult<LocalizationResourceView>` | `getVisiblePortalLocalizationResources(CustomizationContext customizationContext, WebAppSearchCriteria criteria, int pageSize)` Retrieve the LocalizationResourceViews for all visible portals for a given locale and webapp.
`PortalDefinition[]` | `searchPublicPortalDefinitions(CustomizationContext customizationContext, String webapp, String partialPortalTitle, int limit)` Search for public portals given the supplied search string.
`void` | `updatePortalDefinition(CustomizationContext customizationContext, PortalPath portalPath, PortalDefinition newPd)` Updates a PortalDefinition based on a new PortalDefinition.

Method Detail

### getPortalWebApps

    String[] getPortalWebApps(CustomizationContext customizationContext)
                              throws RemoteException

  Return a set of portal webapps that have at least one shell defined.

  Parameters
    `customizationContext` -
  Returns
    an array of webapp names.
  Throws
    `RemoteException`

### getDefinitionCount

    DefinitionCount getDefinitionCount(CustomizationContext customizationContext,
                                       boolean _public)
                                       throws RemoteException

  Return a count of all the portal definitions in the system.

  Parameters
    `customizationContext` -
    `_public` - if true only return `public` definitions
  Returns
    a class containing all the definitions counts
  Throws
    `RemoteException`

### getDefinitionCount

    DefinitionCount getDefinitionCount(CustomizationContext customizationContext,
                                       String webapp,
                                       boolean _public)
                                       throws RemoteException

  Return a count of all the definitions scoped to a webapp.

  Parameters
    `customizationContext` -
    `webapp` - web app name
    `_public` - if true only return `public` definitions
  Returns
    a class containing all the definitions counts
  Throws
    `RemoteException`

### getPortalDefinitionCount

    int getPortalDefinitionCount(CustomizationContext customizationContext,
                                 String webapp)
                                 throws RemoteException

  Returns the number of portals for a given webapp.

  Parameters
    `webapp` - web application these desktop definitions are scoped to.
  Returns
    number of portals
  Throws
    `RemoteException`

### getPortalDefinition

    PortalDefinition getPortalDefinition(CustomizationContext customizationContext,
                                         PortalPath portalPath,
                                         String webapp)
                                         throws RemoteException,
                                                ObjectNotFoundException

  Returns a `PortalDefinition` corresponding to a `PortalPath`.

  Parameters
    `customizationContext` - customization information such as preferred locales
    `portalPath` - `PortalPath`
    `webapp` - web application these desktop definitions are scoped to.
  Returns
    `PortalDefinition`
  Throws
    `ObjectNotFoundException` - if no portal is found
    `RemoteException`

### getPortalDefinitionView

    PortalView getPortalDefinitionView(CustomizationContext customizationContext,
                                       PortalPath portalPath,
                                       String webapp)
                                       throws RemoteException,
                                              ObjectNotFoundException

  Returns a `PortalView` corresponding to a `PortalPath`.

  Parameters
    `customizationContext` - customization information such as preferred locales
    `portalPath` - `PortalPath`
    `webapp` - web application these desktop definitions are scoped to.
  Returns
    `PortalView`
  Throws
    `ObjectNotFoundException` - if no category definition is found
    `RemoteException`

### getPortalPaths

    PortalPath[] getPortalPaths(CustomizationContext customizationContext,
                                int begin,
                                int end,
                                String webapp)
                                throws RemoteException

  Returns an array of `PortalPath`s in the `begin` and `end` range. If fewer portals than (begin-end) exist then the former number of portals is returned. If no definitions are found an empty array is returned.
  The implmentation has to ensure that repeated calls to this method return `PortalPath`s in a consistent order.

  Parameters
    `customizationContext` - customization information such as preferred locales
    `begin` - begin index
    `end` - end index
    `webapp` - web application these desktop definitions are scoped to.
  Returns
    an array of `PortalPath`s
  Throws
    `RemoteException`

### getPortalDefinitions

    PortalDefinition[] getPortalDefinitions(CustomizationContext customizationContext,
                                            PortalPath[] portalPaths,
                                            String webapp)
                                            throws RemoteException,
                                                   ObjectNotFoundException

  Returns an array of `PortalDefinition`s corresponding to an array of `PortalPath`s.

  Parameters
    `customizationContext` - customization information such as preferred locales
    `portalPaths` - array of `PortalPath`s. If null return all portal definitions
    `webapp` - web application these desktop definitions are scoped to.
  Returns
    array of `PortalDefinition`s
  Throws
    `ObjectNotFoundException` - if portal for any key does not exist
    `RemoteException`

### getPortalDefinitionViews

    PortalView[] getPortalDefinitionViews(CustomizationContext customizationContext,
                                          PortalPath[] portalPaths,
                                          String webapp)
                                          throws RemoteException,
                                                 ObjectNotFoundException

  Returns an array of `PortalView`s corresponding to an array of `PortalPath`s.

  Parameters
    `customizationContext` - customization information such as preferred locales
    `portalPaths` - array of `PortalPath`s
    `webapp` - web application these desktop definitions are scoped to.
  Returns
    array of `PortalView`s
  Throws
    `ObjectNotFoundException` - if portal for any key does not exist
    `RemoteException`

### getDesktopDefinitionCount

    int getDesktopDefinitionCount(CustomizationContext customizationContext,
                                  PortalPath portalPath,
                                  String webapp)
                                  throws RemoteException

  Returns the number of `DesktopDefinition`s under `portal` `portalPath`.

  Parameters
    `portalPath` - `PortalPath`
    `webapp` - web application these desktop definitions are scoped to.
  Returns
    number of `PortletDefinition`s under portal represented by `portalPath`
  Throws
    `RemoteException`

### getDesktopDefinitions

    DesktopDefinition[] getDesktopDefinitions(CustomizationContext customizationContext,
                                              PortalPath portalPath,
                                              int begin,
                                              int end,
                                              String webapp)
                                              throws RemoteException

  Returns `DesktopDefinition`s in the `begin` and `end` range under the portal `portalPath`. If fewer `DesktopDefinition`s than (begin-end) exist then the former number is returned. If no definitions are found an empty array is returned.
  Use this method after getting the number of `DesktopDefinition`s.
  The implmentation has to ensure that repeated calls to this method return `DesktopDefinition`s in a consistent order.

  Parameters
    `customizationContext` - customization information such as preferred locales
    `portalPath` - `PortalPath`
    `begin` - begin index
    `end` - end index
    `webapp` - web application these desktop definitions are scoped to.
  Returns
    array of `DesktopDefinition`s
  Throws
    `RemoteException`

### getDesktopViews

    DesktopView[] getDesktopViews(CustomizationContext customizationContext,
                                  PortalPath portalPath,
                                  int begin,
                                  int end,
                                  String webapp)
                                  throws RemoteException,
                                         ObjectNotFoundException

  Returns `DesktopView`s in the `begin` and `end` range under the portal `portalPath`. If fewer views than (begin-end) exist then the former number of views is returned. If no views are found an empty array is returned.
  Use this method after getting the number of `DesktopDefinition`s.
  The implmentation has to ensure that repeated calls to this method return `DesktopView`s in a consistent order.

  Parameters
    `customizationContext` - customization information such as preferred locales
    `portalPath` - `PortalPath`
    `begin` - begin index
    `end` - end index
    `webapp` - web application these desktop definitions are scoped to.
  Returns
    array of `DesktopView`s
  Throws
    `RemoteException`
    `ObjectNotFoundException`

### getDesktopDefinitionPortals

    PortalPath[] getDesktopDefinitionPortals(CustomizationContext customizationContext,
                                             DesktopPath desktopPath,
                                             String webapp)
                                             throws RemoteException

  Returns all the `PortalPath`s that a `DesktopDefinition` is a part of. Returns an empty array if the latter does not belong to any portals.

  Parameters
    `desktopPath` - `DesktopPath`
    `webapp` - web application these desktop definitions are scoped to.
  Returns
    an array of `PortalPath`s
  Throws
    `RemoteException`

### createPortalDefinition

    PortalDefinition createPortalDefinition(CustomizationContext customizationContext,
                                            PortalDefinition pd)
                                            throws RemoteException,
                                                   NotEntitledException,
                                                   MissingDataException,
                                                   DuplicateObjectException

  Creates a persistent version of a `PortalDefinition` from the provided `PortalDefinition`.

  Parameters
    `customizationContext` - customization information such as preferred locales
    `pd` - `PortalDefinition`
  Returns
    handle to persisted `PortalDefinition`
  Throws
    `NotEntitledException` - if caller does not have permission for this operation
    `MissingDataException` - if data required to create a portal is missing
    `DuplicateObjectException` - if this or another webapp already has a portal with the same partial path
    `RemoteException`

### deletePortalDefinition

    int deletePortalDefinition(CustomizationContext customizationContext,
                               PortalPath portalPath,
                               String webapp)
                               throws RemoteException,
                                      NotEntitledException

  Deletes a PortalDefinition.

  Parameters
    `customizationContext` - customization information such as preferred locales
    `portalPath` - PortalPath for PortalDefinition to be removed
    `webapp` - web application these desktop definitions are scoped to.
  Returns
    number of portals deleted
  Throws
    `NotEntitledException` - if caller does not have permission for this operation
    `RemoteException`

### updatePortalDefinition

    void updatePortalDefinition(CustomizationContext customizationContext,
                                PortalPath portalPath,
                                PortalDefinition newPd)
                                throws RemoteException,
                                       ObjectNotFoundException,
                                       ObjectInUseException,
                                       NotEntitledException,
                                       MissingDataException

  Updates a PortalDefinition based on a new PortalDefinition.

  Parameters
    `customizationContext` - customization information such as preferred locales
    `portalPath` - PortalPath to PortalDefinition to be updated
    `newPd` - new PortalDefinition
  Throws
    `ObjectNotFoundException` - if portal does not exist
    `NotEntitledException` - if caller does not have permission for this operation
    `MissingDataException` - if data required to update a portal is missing
    `RemoteException`
    `ObjectInUseException`

### searchPublicPortalDefinitions

    PortalDefinition[] searchPublicPortalDefinitions(CustomizationContext customizationContext,
                                                     String webapp,
                                                     String partialPortalTitle,
                                                     int limit)
                                                     throws RemoteException

  Search for public portals given the supplied search string. Portals with `titles` matching the supplied pattern will be returned. No more than `limit` results will be returned; however a smaller number may be returned. The implmentation has to ensure that repeated calls to this method return `PortalDefinition`s in a consistent order.

  Parameters
    `customizationContext` - customization information such as preferred locales.
    `webapp` - the web application these portal definitions are scoped to.
    `partialPortalTitle` - the search string for portal title match. Note: this string may contain special '*' and '?' characters, where '*' matches any number of characters and '?' matches any single character.
    `limit` - the maximum result set size. Note the limit may be negative indicating a reverse sort order. To retrieve all the records specify a limit of zero. Note: some elements may be pruned because of entitlements.
  Returns
    array of `PortalDefinition`s no greater than `limit` in size.
  Throws
    `RemoteException`

### getVisiblePortalLocalizationResources

    SortableFilterablePagedResult<LocalizationResourceView> getVisiblePortalLocalizationResources(CustomizationContext customizationContext,
                                                                                                  WebAppSearchCriteria criteria,
                                                                                                  int pageSize)
                                                                                                  throws RemoteException

  Retrieve the LocalizationResourceViews for all visible portals for a given locale and webapp.

  The returned PagedResult is sortable and filterable on the field "TITLE", and supports these filter methods:
  - FilterMethod.UNFILTERED
  - FilterMethod.BEGINS_WITH
  - FilterMethod.ENDS_WITH
  - FilterMethod.CONTAINS
  - FilterMethod.EQUALS
  However, the reSort and reFilter methods on the returned PagedResult ignore their locale arguments. If you want to requery with a different locale, you should call this method again after setting the desired locale in the CustomizationContext.

  Parameters
    `customizationContext` - a customization context with a request and locale defined. Only the first locale is used.
    `criteria` - criteria for the search, including the name of the web application where the requested resources live
    `pageSize` - number of results to retrieve per page
  Returns
    the paged result object
  Throws
    `RemoteException`

### getPortalDefinitions

    SortableFilterablePagedResult<PortalDefinition> getPortalDefinitions(CustomizationContext customizationContext,
                                                                         PortalSearchCriteria criteria,
                                                                         int pageSize)
                                                                         throws RemoteException

  Retrieve all the portals for a webapp as a paged object.

  The returned PagedResult is sortable and filterable on the field "TITLE", and supports these filter methods:
  - FilterMethod.UNFILTERED
  - FilterMethod.BEGINS_WITH
  - FilterMethod.ENDS_WITH
  - FilterMethod.CONTAINS
  - FilterMethod.EQUALS
  However, the reSort and reFilter methods on the returned PagedResult ignore their locale arguments. If you want to requery with a different locale, you should call this method again after setting the desired locale in the CustomizationContext.

  Parameters
    `customizationContext` - a customization context with a request and locale defined. Only the first locale is used.
    `criteria` - criteria for the search, including the name of the web application and (optional) portal paths to restrict the results
    `pageSize` - number of results to retrieve per page
  Returns
    a `SortableFilterablePagedResult` of `PortalDefinitions`
  Throws
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.